/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 120
#define NH 32
#define FNAME "t7"
#define MAXERROR 10

DATA x[NX] ={
-21673,
1621,
9253,
-31707,
22075,
19887,
12962,
-2498,
-27354,
21018,
-20119,
-3582,
-31919,
-12535,
24598,
21971,
-10939,
24949,
-1332,
3985,
7596,
10610,
7643,
12133,
665,
14022,
996,
6938,
30585,
21110,
-11944,
5747,
-24236,
-16099,
19859,
10999,
-31875,
4035,
-2978,
26538,
-14277,
-28506,
-1535,
31700,
27679,
4010,
9982,
17870,
-25810,
-32698,
2737,
-32319,
-3190,
-19946,
18818,
7770,
-31751,
25614,
17150,
26675,
16945,
-7817,
-11069,
267,
4231,
17511,
18341,
-1043,
19805,
-1900,
-19480,
5217,
10911,
11584,
29000,
17704,
15558,
24003,
32174,
257,
8459,
19176,
-3366,
1596,
-21531,
-24205,
-18430,
-25856,
-23500,
-2821,
18883,
-14349,
-18037,
26795,
-32288,
5815,
2760,
10061,
-12227,
-17619,
-5501,
-13186,
11300,
28721,
-10280,
4126,
-24977,
-21692,
-14491,
3723,
-945,
29636,
-17569,
-1399,
1738,
19183,
-20120,
26843,
27669,
-31899,
};

#pragma DATA_SECTION(h,".coeffs")
DATA h[NH] ={ /* b0 b1 b2 ... b(NH-1) */
964,
1613,
1129,
1528,
-1086,
628,
1540,
-564,
340,
416,
-1791,
1738,
1440,
695,
-218,
724,
395,
-722,
1283,
-1399,
-752,
-1452,
-370,
-602,
1601,
1220,
-872,
-1649,
-1782,
268,
879,
1106,
};

#pragma DATA_SECTION(db,".dbuffer")
DATA db[NH+2] ;

DATA rtest[NX] ={
-638,
-1019,
-395,
-1433,
202,
541,
-651,
3956,
-711,
-2352,
2218,
-2211,
-1250,
-2240,
-3249,
-337,
746,
5031,
134,
-1864,
6383,
-1385,
4062,
1079,
-2927,
-1969,
3134,
913,
2372,
7278,
3835,
3624,
-1963,
-914,
855,
1879,
-522,
-904,
-2390,
3144,
7767,
-2867,
-4670,
-3161,
-1627,
2955,
4977,
-1158,
-3222,
-2767,
-645,
-2742,
325,
2,
-5838,
2310,
-3314,
-1177,
5014,
6037,
3760,
623,
-2823,
595,
-4182,
-1669,
-226,
-2494,
7448,
4307,
3784,
301,
1500,
-1226,
2777,
3991,
3835,
7958,
2600,
4694,
1566,
631,
-160,
5470,
3233,
-5398,
-3797,
-5616,
-2819,
4639,
3423,
-522,
-208,
-2609,
-5204,
-3538,
437,
-5223,
805,
-2972,
-9811,
-2566,
-1440,
-2487,
1521,
1978,
936,
-2396,
4101,
-2490,
-3701,
3738,
-1748,
509,
4829,
2157,
-721,
80,
-982,
-2430,
};

DATA r[NX];
